rem For input %1, makes 9-pannel with varying gamma such that new mean is aprox 0.1, 0.2, ... 0.9
rem %2 is goal mean for middle cell. Default 0.5.
rem %3 is increment. Default 0.1.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call %PICTBAT%setInOut %1 ag9

set MN_MD=%2
if "%MN_MD%"=="" set MN_MD=0.5

set INCR=%3
if "%INCR%"=="" set INCR=0.1

for /F "usebackq" %%L ^
in (`%IM%convert ^
  %INFILE% -set precision 9 ^
  -format "m=%%[mean]\nCUR_GAMMA=%%[gamma]\nOLD_MEAN=%%[fx:mean]\nLN_MEAN=%%[fx:ln(mean)]" info:`) ^
do set %%L

for /F "usebackq" %%L ^
in (`%IM%identify ^
  -set precision 9 ^
  -format "M1=%%[fx:%MN_MD%-4*%INCR%]\nM2=%%[fx:%MN_MD%-3*%INCR%]\nM3=%%[fx:%MN_MD%-2*%INCR%]\nM4=%%[fx:%MN_MD%-%INCR%]\nM5=%%[fx:%MN_MD%)]\nM6=%%[fx:%MN_MD%+%INCR%]\nM7=%%[fx:%MN_MD%+2*%INCR%]\nM8=%%[fx:%MN_MD%+3*%INCR%]\nM9=%%[fx:%MN_MD%+4*%INCR%]\n" xc:`) ^
do set %%L

for /F "usebackq" %%L ^
in (`%IM%identify ^
  -set precision 9 ^
  -format "F1=%%[fx:%LN_MEAN%/ln(%M1%)]\nF2=%%[fx:%LN_MEAN%/ln(%M2%)]\nF3=%%[fx:%LN_MEAN%/ln(%M3%)]\nF4=%%[fx:%LN_MEAN%/ln(%M4%)]\nF5=%%[fx:%LN_MEAN%/ln(%M5%)]\nF6=%%[fx:%LN_MEAN%/ln(%M6%)]\nF7=%%[fx:%LN_MEAN%/ln(%M7%)]\nF8=%%[fx:%LN_MEAN%/ln(%M8%)]\nF9=%%[fx:%LN_MEAN%/ln(%M9%)]\n" xc:`) ^
do set %%L

%IMG7%magick %INFILE% -resize "300x300^>" ^
  -gravity Center ^
  ( -clone 0 ^
    ( -clone 0 -gamma %F1% label:"%M1%  -gamma %F1%" -append +repage ) ^
    ( -clone 0 -gamma %F2% label:"%M2%  -gamma %F2%" -append +repage ) ^
    ( -clone 0 -gamma %F3% label:"%M3%  -gamma %F3%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 -gamma %F4% label:"%M4%  -gamma %F4%" -append +repage ) ^
    ( -clone 0 -gamma %F5% label:"%M5%  -gamma %F5%" -append +repage ) ^
    ( -clone 0 -gamma %F6% label:"%M6%  -gamma %F6%" -append +repage ) ^
    -delete 0 ^
    +append ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 -gamma %F7% label:"%M7%  -gamma %F7%" -append +repage ) ^
    ( -clone 0 -gamma %F8% label:"%M8%  -gamma %F8%" -append +repage ) ^
    ( -clone 0 -gamma %F9% label:"%M9%  -gamma %F9%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  -delete 0 ^
  -append +repage ^
  -set colorspace sRGB ^
  -set gamma %CUR_GAMMA% ^
  %OUTFILE%

rem List the resulting means and standard deviations.
%IMG7%magick %INFILE% -resize "300x300^>" ^
  -format "%%[fx:mean] %%[fx:standard_deviation]\n" ^
  ( -clone 0 -gamma %F1% -write info: +delete ) ^
  ( -clone 0 -gamma %F2% -write info: +delete ) ^
  ( -clone 0 -gamma %F3% -write info: +delete ) ^
  ( -clone 0 -gamma %F4% -write info: +delete ) ^
  ( -clone 0 -gamma %F5% -write info: +delete ) ^
  ( -clone 0 -gamma %F6% -write info: +delete ) ^
  ( -clone 0 -gamma %F7% -write info: +delete ) ^
  ( -clone 0 -gamma %F8% -write info: +delete ) ^
  ( -clone 0 -gamma %F9% -write info: +delete ) ^
  NULL:
