@rem From images %1 and %2, makes 9-panel with varying blends.
@rem %3 is arg for first of panel (typically 0 to 100, default 0).
@rem %4 is diff (default 12.5).
@rem For 0 <= arg <= 100, interpolates between first and second image.
@rem For arg < 0 or arg > 100, extrapolates.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

call %PICTBAT%setInOut %1 bd9

@set INFILE2=%~f2


@set BASE=%3
@if "%BASE%"=="" set BASE=0

@set DIFF=%4
@if "%DIFF%"=="" set DIFF=12.5

@call cbCalc f0 "%BASE%"
@call cbCalc f1 "(%BASE% + %DIFF%)"
@call cbCalc f2 "(%BASE% + (%DIFF%*2))"
@call cbCalc f3 "(%BASE% + (%DIFF%*3))"
@call cbCalc f4 "(%BASE% + (%DIFF%*4))"
@call cbCalc f5 "(%BASE% + (%DIFF%*5))"
@call cbCalc f6 "(%BASE% + (%DIFF%*6))"
@call cbCalc f7 "(%BASE% + (%DIFF%*7))"
@call cbCalc f8 "(%BASE% + (%DIFF%*8))"


%IMG7%magick %INFILE% %INFILE2% -resize "300x300^>" ^
  -compose Blend ^
  -gravity Center ^
  ( -clone 0-1 ^
    ( -clone 0-1 -define compose:args=%f0% -composite label:"args=%f0%" -append +repage ) ^
    ( -clone 0-1 -define compose:args=%f1% -composite label:"args=%f1%" -append +repage ) ^
    ( -clone 0-1 -define compose:args=%f2% -composite label:"args=%f2%" -append +repage ) ^
    -delete 0-1 ^
    +append +repage ^
  ) ^
  ( -clone 0-1 ^
    ( -clone 0-1 -define compose:args=%f3% -composite label:"args=%f3%" -append +repage ) ^
    ( -clone 0-1 -define compose:args=%f4% -composite label:"args=%f4%" -append +repage ) ^
    ( -clone 0-1 -define compose:args=%f5% -composite label:"args=%f5%" -append +repage ) ^
    -delete 0-1 ^
    +append +repage ^
  ) ^
  ( -clone 0-1 ^
    ( -clone 0-1 -define compose:args=%f6% -composite label:"args=%f6%" -append +repage ) ^
    ( -clone 0-1 -define compose:args=%f7% -composite label:"args=%f7%" -append +repage ) ^
    ( -clone 0-1 -define compose:args=%f8% -composite label:"args=%f8%" -append +repage ) ^
    -delete 0-1 ^
    +append +repage ^
  ) ^
  -delete 0-1 ^
  -append +repage ^
  %OUTFILE%

