rem From image %1, makes 9-panel with varying multiplier for one or more channels.
rem Doesn't change other channels.
rem %2 is factor for middle of panel. Default 1.
rem %3 is multiplier (or divider) for each other cell in panel. Default 1.05.
rem %4 is channel(s) eg R, RB etc.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

@call %PICTBAT%setInOut %1 cm9


set BASE=%2
if "%BASE%"=="" set BASE=1

set DIFF=%3
if "%DIFF%"=="" set DIFF=1.05

set CHAN=%4
if "%CHAN%"=="" set CHAN=R

call cbCalc f0 "%BASE%"
call cbCalc f1 "%BASE% * %DIFF%"
call cbCalc f2 "%BASE% * (%DIFF%**2)"
call cbCalc f3 "%BASE% * (%DIFF%**3)"
call cbCalc f4 "%BASE% * (%DIFF%**4)"
call cbCalc fm1 "%BASE% / %DIFF%"
call cbCalc fm2 "%BASE% / (%DIFF%**2)"
call cbCalc fm3 "%BASE% / (%DIFF%**3)"
call cbCalc fm4 "%BASE% / (%DIFF%**4)"

set RM=-channel %CHAN% -evaluate multiply

%IMG7%magick %INFILE% -resize "300x300^>" ^
  -gravity Center ^
  ( -clone 0 ^
    ( -clone 0 %RM% %fm4% +channel label:"%fm4%" -append +repage ) ^
    ( -clone 0 %RM% %fm3% +channel label:"%fm3%" -append +repage ) ^
    ( -clone 0 %RM% %fm2% +channel label:"%fm2%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 %RM% %fm1% +channel label:"%fm1%" -append +repage ) ^
    ( -clone 0 %RM% %f0% +channel label:"%f0%" -append +repage ) ^
    ( -clone 0 %RM% %f1% +channel label:"%f1%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 %RM% %f2% +channel label:"%f2%" -append +repage ) ^
    ( -clone 0 %RM% %f3% +channel label:"%f3%" -append +repage ) ^
    ( -clone 0 %RM% %f4% +channel label:"%f4%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  -delete 0 ^
  -append +repage ^
  %OUTFILE%

call echoRestore
