rem From image %1, makes 9-panel with more green at top,
rem more red at left, more blue at right,
rem less green at bottom.
rem %2 is base multiplier for middle of panel. Default 1.
rem %3 is multiplier of base.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call %PICTBAT%setInOut %1 ct9

set BASE=%2
if "%BASE%"=="" set BASE=1

set RBASE=%BASE%
set GBASE=%BASE%
set BBASE=%BASE%

set FACT=%3
if "%FACT%"=="" set FACT=1.2

if "%NINESIZE%"=="" set NINESIZE=300x300

call cbCalc RFACT %RBASE% * %FACT%
call cbCalc GFACT %GBASE% * %FACT%
call cbCalc BFACT %BBASE% * %FACT%

call cbCalc RDIV %RBASE% / %FACT%
call cbCalc GDIV %GBASE% / %FACT%
call cbCalc BDIV %BBASE% / %FACT%

set LEFT=-channel R -evaluate Multiply %RFACT% -channel B -evaluate Multiply %BDIV% 
set MID=-channel R -evaluate Multiply %RBASE% -channel B -evaluate Multiply %BBASE% 
set RIGHT=-channel R -evaluate Multiply %RDIV% -channel B -evaluate Multiply %BFACT%

%IMG7%magick %INFILE% -resize "%NINESIZE%^>" ^
  -colorspace RGB ^
  -gravity Center ^
  ( -clone 0 -channel G -evaluate Multiply %GFACT% ^
    ( -clone 0 %LEFT% label:"%RFACT:~0,8%  %GFACT:~0,8%  %BDIV:~0,8%" -append +repage ) ^
    ( -clone 0 %MID%  label:"%RBASE:~0,8%  %GFACT:~0,8%  %BBASE:~0,8%" -append +repage ) ^
    ( -clone 0 %RIGHT% label:"%RDIV:~0,8%  %GFACT:~0,8%  %BFACT:~0,8%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 -channel G -evaluate Multiply %GBASE% ^
    ( -clone 0 %LEFT% label:"%RFACT:~0,8%  %GBASE:~0,8%  %BDIV:~0,8%" -append +repage ) ^
    ( -clone 0 %MID% label:"%RBASE:~0,8%  %GBASE:~0,8%  %BBASE:~0,8%" -append +repage ) ^
    ( -clone 0 %RIGHT% label:"%RDIV:~0,8%  %GBASE:~0,8%  %BFACT:~0,8%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 -channel G -evaluate Multiply %GDIV% ^
    ( -clone 0 %LEFT% label:"%RFACT:~0,8%  %GDIV:~0,8%  %BDIV:~0,8%" -append +repage ) ^
    ( -clone 0 %MID% label:"%RBASE:~0,8%  %GDIV:~0,8%  %BBASE:~0,8%" -append +repage ) ^
    ( -clone 0 %RIGHT% label:"%RDIV:~0,8%  %GDIV:~0,8%  %BFACT:~0,8%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  -delete 0 ^
  -append +repage ^
  -colorspace sRGB ^
  %OUTFILE%
