rem From image %1, makes 9-panel with varying equalisation.
rem %2 is base for centre of panel. Default 0.
rem %3 is difference. Default 25.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

@call %PICTBAT%setInOut %1 eq9

@set BASE=%2
@if "%BASE%"=="." set BASE=
@if "%BASE%"=="" set BASE=0

@set DIFF=%3
@if "%DIFF%"=="." set DIFF=
@if "%DIFF%"=="" set DIFF=25

set CHAN=%~4
if "%CHAN%"=="." set CHAN=
if "%CHAN%"=="" set CHAN=-colorspace HSL -channel lightness

@if "%NINESIZE%"=="" set NINESIZE=300x300

@set /A f0=%BASE%
@set /A f1=%BASE%+%DIFF%
@set /A f2=%BASE%+(%DIFF%*2)
@set /A f3=%BASE%+(%DIFF%*3)
@set /A f4=%BASE%+(%DIFF%*4)
@set /A fm1=%BASE%-%DIFF%
@set /A fm2=%BASE%-(%DIFF%*2)
@set /A fm3=%BASE%-(%DIFF%*3)
@set /A fm4=%BASE%-(%DIFF%*4)

%IMG7%magick %INFILE% -resize "%NINESIZE%^>" ^
  ( +clone ^
    %CHAN% ^
    -equalize ^
    -colorspace sRGB ^
  ) ^
  -alpha set ^
  -gravity center ^
  ( -clone 0-1 ^
    ( -clone 0-1 -compose blend -define compose:args=%fm4% -composite label:"args=%fm4%" -append +repage ) ^
    ( -clone 0-1 -compose blend -define compose:args=%fm3% -composite label:"args=%fm3%" -append +repage ) ^
    ( -clone 0-1 -compose blend -define compose:args=%fm2% -composite label:"args=%fm2%" -append +repage ) ^
    -delete 0-1 ^
    +append +repage ^
  ) ^
  ( -clone 0-1 ^
    ( -clone 0-1 -compose blend -define compose:args=%fm1% -composite label:"args=%fm1%" -append +repage ) ^
    ( -clone 0-1 -compose blend -define compose:args=%f0% -composite label:"args=%f0%" -append +repage ) ^
    ( -clone 0-1 -compose blend -define compose:args=%f1% -composite label:"args=%f1%" -append +repage ) ^
    -delete 0-1 ^
    +append +repage ^
  ) ^
  ( -clone 0-1 ^
    ( -clone 0-1 -compose blend -define compose:args=%f2% -composite label:"args=%f2%" -append +repage ) ^
    ( -clone 0-1 -compose blend -define compose:args=%f3% -composite label:"args=%f3%" -append +repage ) ^
    ( -clone 0-1 -compose blend -define compose:args=%f4% -composite label:"args=%f4%" -append +repage ) ^
    -delete 0-1 ^
    +append +repage ^
  ) ^
  -delete 0-1 ^
  -alpha off ^
  -append +repage ^
  %OUTFILE%

call echoRestore
