rem From image %1, makes 9-panel with varying equalisation of the L channel in Lab.
rem %2 is base percentage of middle of panel. Default 0.
rem %3 is difference. Default 25.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

call echoOffSave

call %PICTBAT%setInOut %1 eqL9

@set BASE=%2
@if "%BASE%"=="" set BASE=0

@set DIFF=%3
@if "%DIFF%"=="" set DIFF=25

@if "%NINESIZE%"=="" set NINESIZE=300x300

@set /A f0=%BASE%
@set /A f1=%BASE%+%DIFF%
@set /A f2=%BASE%+(%DIFF%*2)
@set /A f3=%BASE%+(%DIFF%*3)
@set /A f4=%BASE%+(%DIFF%*4)
@set /A fm1=%BASE%-%DIFF%
@set /A fm2=%BASE%-(%DIFF%*2)
@set /A fm3=%BASE%-(%DIFF%*3)
@set /A fm4=%BASE%-(%DIFF%*4)

set PREF=( -clone 0,3 -compose blend -define compose:args=
set SUFF=-composite ) -delete 0 -insert 0 -combine -set colorspace Lab -colorspace sRGB

%IMG7%magick %INFILE% -resize "%NINESIZE%^>" ^
  -colorspace Lab -separate ^
  ( -clone 0 -equalize ) ^
  -gravity Center ^
  ( -clone 0-3 ^
    ( -clone 0-3 ^
      %PREF%%fm4% %SUFF% label:"args=%fm4%" -append +repage ^
    ) ^
    ( -clone 0-3 ^
      %PREF%%fm3% %SUFF% label:"args=%fm3%" -append +repage ^
    ) ^
    ( -clone 0-3 ^
      %PREF%%fm2% %SUFF% label:"args=%fm2%" -append +repage ^
    ) ^
    -delete 0-3 +append +repage ^
  ) ^
  ( -clone 0-3 ^
    ( -clone 0-3 ^
      %PREF%%fm1% %SUFF% label:"args=%fm1%" -append +repage ^
    ) ^
    ( -clone 0-3 ^
      %PREF%%f0% %SUFF% label:"args=%f0%" -append +repage ^
    ) ^
    ( -clone 0-3 ^
      %PREF%%f1% %SUFF% label:"args=%f1%" -append +repage ^
    ) ^
    -delete 0-3 +append +repage ^
  ) ^
  ( -clone 0-3 ^
    ( -clone 0-3 ^
      %PREF%%f2% %SUFF% label:"args=%f2%" -append +repage ^
    ) ^
    ( -clone 0-3 ^
      %PREF%%f3% %SUFF% label:"args=%f3%" -append +repage ^
    ) ^
    ( -clone 0-3 ^
      %PREF%%f4% %SUFF% label:"args=%f4%" -append +repage ^
    ) ^
    -delete 0-3 +append +repage ^
  ) ^
  -delete 0-3 -append +repage ^
  %OUTFILE%

call echoRestore
