rem From image %1, makes 9-panel with varying gamma.
rem %2 is gamma change for middle of panel. Default 1.
rem %3 is multiplier (or divider) for each other cell in panel. Default 1.1.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call %PICTBAT%setInOut %1 g9


set BASE=%2
if "%BASE%"=="" set BASE=1

set DIFF=%3
if "%DIFF%"=="" set DIFF=1.1

call cbCalc f0 "%BASE%"
call cbCalc f1 "%BASE% * %DIFF%"
call cbCalc f2 "%BASE% * (%DIFF%**2)"
call cbCalc f3 "%BASE% * (%DIFF%**3)"
call cbCalc f4 "%BASE% * (%DIFF%**4)"
call cbCalc fm1 "%BASE% / %DIFF%"
call cbCalc fm2 "%BASE% / (%DIFF%**2)"
call cbCalc fm3 "%BASE% / (%DIFF%**3)"
call cbCalc fm4 "%BASE% / (%DIFF%**4)"

%IMG7%magick %INFILE% -resize "300x300^>" ^
  -gravity Center ^
  ( -clone 0 ^
    ( -clone 0 -gamma %fm4% label:"-gamma %fm4%" -append +repage ) ^
    ( -clone 0 -gamma %fm3% label:"-gamma %fm3%" -append +repage ) ^
    ( -clone 0 -gamma %fm2% label:"-gamma %fm2%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 -gamma %fm1% label:"-gamma %fm1%" -append +repage ) ^
    ( -clone 0 -gamma %f0% label:"-gamma %f0%" -append +repage ) ^
    ( -clone 0 -gamma %f1% label:"-gamma %f1%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 -gamma %f2% label:"-gamma %f2%" -append +repage ) ^
    ( -clone 0 -gamma %f3% label:"-gamma %f3%" -append +repage ) ^
    ( -clone 0 -gamma %f4% label:"-gamma %f4%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  -delete 0 ^
  -append +repage ^
  -set colorspace sRGB ^
  -set gamma 0.454545 ^
  %OUTFILE%

rem List the resulting means and standard deviations.
%IMG7%magick %INFILE% -resize "300x300^>" ^
  -format "%%[mean] %%[standard-deviation]\n" ^
  ( -clone 0 -gamma %fm4% -write info: +delete ) ^
  ( -clone 0 -gamma %fm3% -write info: +delete ) ^
  ( -clone 0 -gamma %fm2% -write info: +delete ) ^
  ( -clone 0 -gamma %fm1% -write info: +delete ) ^
  ( -clone 0 -gamma %f0% -write info: +delete ) ^
  ( -clone 0 -gamma %f1% -write info: +delete ) ^
  ( -clone 0 -gamma %f2% -write info: +delete ) ^
  ( -clone 0 -gamma %f3% -write info: +delete ) ^
  ( -clone 0 -gamma %f4% -write info: +delete ) ^
  NULL:
