@rem From image %1, makes 9-panel with varying posterize.
@rem %2 is number of colours for first in panel (integer >= 1)
@rem %3 is increment for number of colours (integer >= 1)
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 p9

@set BASE=%2
@if "%BASE%"=="" set BASE=1

@set DIFF=%3
@if "%DIFF%"=="" set DIFF=1

@set /A f0=%BASE%
@set /A f1=%BASE%+%DIFF%
@set /A f2=%BASE%+(%DIFF%*2)
@set /A f3=%BASE%+(%DIFF%*3)
@set /A f4=%BASE%+(%DIFF%*4)
@set /A f5=%BASE%+(%DIFF%*5)
@set /A f6=%BASE%+(%DIFF%*6)
@set /A f7=%BASE%+(%DIFF%*7)
@set /A f8=%BASE%+(%DIFF%*8)


%IMG7%magick %INFILE% -resize "300x300^>" ^
  ( -clone 0 ^
    ( -clone 0 -posterize %f0% -gravity center label:"-posterize %f0%" -append +repage ) ^
    ( -clone 0 -posterize %f1% -gravity center label:"-posterize %f1%" -append +repage ) ^
    ( -clone 0 -posterize %f2% -gravity center label:"-posterize %f2%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 -posterize %f3% -gravity center label:"-posterize %f3%" -append +repage ) ^
    ( -clone 0 -posterize %f4% -gravity center label:"-posterize %f4%" -append +repage ) ^
    ( -clone 0 -posterize %f5% -gravity center label:"-posterize %f5%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 -posterize %f6% -gravity center label:"-posterize %f6%" -append +repage ) ^
    ( -clone 0 -posterize %f7% -gravity center label:"-posterize %f7%" -append +repage ) ^
    ( -clone 0 -posterize %f8% -gravity center label:"-posterize %f8%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  -delete 0 ^
  -append +repage ^
  %OUTFILE%

call echoRestore
