rem From image %1, makes 9-panel with varying saturation.
rem %2 is base saturation. Default 100.
rem %3 is multiplier. Default 1.2.
rem %4 is optional output filename.
@rem
@rem Also uses:
@rem   SA_COLSP colorspace in which to modulate, eg HCL, HCLp, HSB, HSI, HSL (the default), HSV, HWB, or LCH 
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

call echoOffSave

call %PICTBAT%setInOut %1 sat9

set BASE=%2
if "%BASE%"=="." set BASE=
if "%BASE%"=="" set BASE=100

set DIFF=%3
if "%DIFF%"=="." set DIFF=
if "%DIFF%"=="" set DIFF=1.2

if not "%4"=="" set OUTFILE=%4

call cbCalc f0 "%BASE%"
call cbCalc f1 "%BASE% * %DIFF%"
call cbCalc f2 "%BASE% * (%DIFF%**2)"
call cbCalc f3 "%BASE% * (%DIFF%**3)"
call cbCalc f4 "%BASE% * (%DIFF%**4)"
call cbCalc fm1 "%BASE% / %DIFF%"
call cbCalc fm2 "%BASE% / (%DIFF%**2)"
call cbCalc fm3 "%BASE% / (%DIFF%**3)"
call cbCalc fm4 "%BASE% / (%DIFF%**4)"

set OPTIONS=
set modH=100
set modL=100

if not "%SA_COLSP%"=="" set OPTIONS=-set option:modulate:colorspace %SA_COLSP%


%IMG7%magick %INFILE% -resize "300x300^>" ^
  ( -clone 0 ^
    ( -clone 0 %OPTIONS% -modulate %modL%,%fm4%,%modH% -gravity center label:"-modulate %modL%,%fm4%,%modH%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -modulate %modL%,%fm3%,%modH% -gravity center label:"-modulate %modL%,%fm3%,%modH%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -modulate %modL%,%fm2%,%modH% -gravity center label:"-modulate %modL%,%fm2%,%modH%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 %OPTIONS% -modulate %modL%,%fm1%,%modH% -gravity center label:"-modulate %modL%,%fm1%,%modH%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -modulate %modL%,%f0%,%modH% -gravity center label:"-modulate %modL%,%f0%,%modH%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -modulate %modL%,%f1%,%modH% -gravity center label:"-modulate %modL%,%f1%,%modH%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 %OPTIONS% -modulate %modL%,%f2%,%modH% -gravity center label:"-modulate %modL%,%f2%,%modH%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -modulate %modL%,%f3%,%modH% -gravity center label:"-modulate %modL%,%f3%,%modH%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -modulate %modL%,%f4%,%modH% -gravity center label:"-modulate %modL%,%f4%,%modH%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  -delete 0 ^
  -append +repage ^
  %OUTFILE%

call echoRestore
