rem From image %1, makes 9-panel with varying goal standard deviation for sigSetSd.bat.
rem %2 is base for centre of panel. Default 0.16
rem %3 is difference. Default 0.04.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

@call %PICTBAT%setInOut %1 sss9

@set BASE=%2
@if "%BASE%"=="" set BASE=0.166667

@set DIFF=%3
@if "%DIFF%"=="" set DIFF=0.04

set TEMPFILE=%TEMP%\%~n1_sss%EXT%

@if "%NINESIZE%"=="" set NINESIZE=300x300

call cbCalc f0 "%BASE%"
call cbCalc f1 "%BASE% + %DIFF%"
call cbCalc f2 "%BASE% + (%DIFF%*2)"
call cbCalc f3 "%BASE% + (%DIFF%*3)"
call cbCalc f4 "%BASE% + (%DIFF%*4)"
call cbCalc fm1 "%BASE% - %DIFF%"
call cbCalc fm2 "%BASE% - (%DIFF%*2)"
call cbCalc fm3 "%BASE% - (%DIFF%*3)"
call cbCalc fm4 "%BASE% - (%DIFF%*4)"

%IMG7%magick %INFILE% -resize %NINESIZE% %TEMPFILE%

set sssGOAL_SD=%f0%
call %PICTBAT%sigSetSd %TEMPFILE% mean
set OPTf0=%sssOPTION%
%IMG7%magick %TEMPFILE% %sssOPTION% %TEMP%\%~n1_sss_f0%EXT%

set sssGOAL_SD=%f1%
call %PICTBAT%sigSetSd %TEMPFILE% mean
set OPTf1=%sssOPTION%
%IMG7%magick %TEMPFILE% %sssOPTION% %TEMP%\%~n1_sss_f1%EXT%

set sssGOAL_SD=%f2%
call %PICTBAT%sigSetSd %TEMPFILE% mean
set OPTf2=%sssOPTION%
%IMG7%magick %TEMPFILE% %sssOPTION% %TEMP%\%~n1_sss_f2%EXT%

set sssGOAL_SD=%f3%
call %PICTBAT%sigSetSd %TEMPFILE% mean
set OPTf3=%sssOPTION%
%IMG7%magick %TEMPFILE% %sssOPTION% %TEMP%\%~n1_sss_f3%EXT%

set sssGOAL_SD=%f4%
call %PICTBAT%sigSetSd %TEMPFILE% mean
set OPTf4=%sssOPTION%
%IMG7%magick %TEMPFILE% %sssOPTION% %TEMP%\%~n1_sss_f4%EXT%

set sssGOAL_SD=%fm1%
call %PICTBAT%sigSetSd %TEMPFILE% mean
set OPTfm1=%sssOPTION%
%IMG7%magick %TEMPFILE% %sssOPTION% %TEMP%\%~n1_sss_fm1%EXT%

set sssGOAL_SD=%fm2%
call %PICTBAT%sigSetSd %TEMPFILE% mean
set OPTfm2=%sssOPTION%
%IMG7%magick %TEMPFILE% %sssOPTION% %TEMP%\%~n1_sss_fm2%EXT%

set sssGOAL_SD=%fm3%
call %PICTBAT%sigSetSd %TEMPFILE% mean
set OPTfm3=%sssOPTION%
%IMG7%magick %TEMPFILE% %sssOPTION% %TEMP%\%~n1_sss_fm3%EXT%

set sssGOAL_SD=%fm4%
call %PICTBAT%sigSetSd %TEMPFILE% mean
set OPTfm4=%sssOPTION%
%IMG7%magick %TEMPFILE% %sssOPTION% %TEMP%\%~n1_sss_fm4%EXT%


%IMG7%magick %INFILE% -resize "300x300^>" ^
  -gravity Center ^
  ( -clone 0 ^
    ( %TEMP%\%~n1_sss_fm4%EXT% label:"%fm4%  %OPTfm4%" -append +repage ) ^
    ( %TEMP%\%~n1_sss_fm3%EXT% label:"%fm3%  %OPTfm3%" -append +repage ) ^
    ( %TEMP%\%~n1_sss_fm2%EXT% label:"%fm2%  %OPTfm2%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( %TEMP%\%~n1_sss_fm1%EXT% label:"%fm1%  %OPTfm1%" -append +repage ) ^
    ( %TEMP%\%~n1_sss_f0%EXT% label:"%f0%  %OPTf0%" -append +repage ) ^
    ( %TEMP%\%~n1_sss_f1%EXT% label:"%f1%  %OPTf1%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( %TEMP%\%~n1_sss_f2%EXT% label:"%f2%  %OPTf2%" -append +repage ) ^
    ( %TEMP%\%~n1_sss_f3%EXT% label:"%f3%  %OPTf3%" -append +repage ) ^
    ( %TEMP%\%~n1_sss_f4%EXT% label:"%f4%  %OPTf4%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  -delete 0 ^
  -append +repage ^
  %OUTFILE%


set sssGOAL_SD=

call echoRestore
