rem From image %1, makes 9-panel with varying sigmoidal contrast	.
rem %2 is increment for the first parameter. Default 5.
rem %3 is the non-varying second parameter. Default 50.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 sig9

set DIFF=%2
if "%DIFF%"=="" set DIFF=5

set MID=%3
if "%MID%"=="" set MID=50

if "%NINESIZE%"=="" set NINESIZE=300x300

set /A f1=%DIFF%
set /A f2=%DIFF%*2
set /A f3=%DIFF%*3
set /A f4=%DIFF%*4

cEcho /X /Onine9.htm /s\(h2\)Sigmoidal-contrast\(/h2\)
cEcho /X /Onine9.htm /s"\(table border="1"\)"
cEcho /X /Onine9.htm /s\(tr\)\(td\)[+]%f4%x%MID%%%\(/td\)\(td\)[+]%f3%x%MID%%%\(/td\)\(td\)[+]%f2%x%MID%%%\(/td\)\(/tr\)
cEcho /X /Onine9.htm /s\(tr\)\(td\)[+]%f1%x%MID%%%\(/td\)\(td\)\(/td\)\(td\)[-]%f1%x%MID%%%\(/td\)\(/tr\)
cEcho /X /Onine9.htm /s\(tr\)\(td\)[-]%f2%x%MID%%%\(/td\)\(td\)[-]%f3%x%MID%%%\(/td\)\(td\)[-]%f4%x%MID%%%\(/td\)\(/tr\)
cEcho /X /Onine9.htm /s\(/table\)
cEcho /X /Onine9.htm /s"\(img src="sigmoid9.png"\)"

%IMG7%magick %INFILE% -resize "%NINESIZE%^>" ^
  ( -clone 0 ^
    ( -clone 0 +sigmoidal-contrast %f4%x%MID%%% -gravity center label:"+sigmoidal-contrast %f4%x%MID%%%" -append +repage ) ^
    ( -clone 0 +sigmoidal-contrast %f3%x%MID%%% -gravity center label:"+sigmoidal-contrast %f3%x%MID%%%" -append +repage ) ^
    ( -clone 0 +sigmoidal-contrast %f2%x%MID%%% -gravity center label:"+sigmoidal-contrast %f2%x%MID%%%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 +sigmoidal-contrast %f1%x%MID%%% -gravity center label:"+sigmoidal-contrast %f1%x%MID%%%" -append +repage ) ^
    ( -clone 0  -gravity center label:" " -append +repage ) ^
    ( -clone 0 -sigmoidal-contrast %f1%x%MID%%% -gravity center label:"-sigmoidal-contrast %f1%x%MID%%%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 -sigmoidal-contrast %f2%x%MID%%% -gravity center label:"-sigmoidal-contrast %f2%x%MID%%%" -append +repage ) ^
    ( -clone 0 -sigmoidal-contrast %f3%x%MID%%% -gravity center label:"-sigmoidal-contrast %f3%x%MID%%%" -append +repage ) ^
    ( -clone 0 -sigmoidal-contrast %f4%x%MID%%% -gravity center label:"-sigmoidal-contrast %f4%x%MID%%%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  -delete 0 ^
  -append +repage ^
  %OUTFILE%

rem List the resulting means and standard deviations.
%IMG7%magick %INFILE% -resize "300x300^>" ^
  -format "%%[mean] %%[standard-deviation]\n" ^
  ( -clone 0 +sigmoidal-contrast %f4%x%MID%%% -write info: +delete ) ^
  ( -clone 0 +sigmoidal-contrast %f3%x%MID%%% -write info: +delete ) ^
  ( -clone 0 +sigmoidal-contrast %f2%x%MID%%% -write info: +delete ) ^
  ( -clone 0 +sigmoidal-contrast %f1%x%MID%%% -write info: +delete ) ^
  ( -clone 0                          -write info: +delete ) ^
  ( -clone 0 -sigmoidal-contrast %f1%x%MID%%% -write info: +delete ) ^
  ( -clone 0 -sigmoidal-contrast %f2%x%MID%%% -write info: +delete ) ^
  ( -clone 0 -sigmoidal-contrast %f3%x%MID%%% -write info: +delete ) ^
  ( -clone 0 -sigmoidal-contrast %f4%x%MID%%% -write info: +delete ) ^
  NULL:

call echoRestore
